module XhochY
  module Drossellog
    # Counts all requests, even those which are not considered
    # as an impression
    class PageCounter
    
      # Count a request
      def add_page(page)
        if @pages[page]
          @pages[page] += 1
        else
          @pages[page] = 1
        end
      end

      # Create a new PageCounter instance
      def initialize
        @pages = {}
      end
    
      # Return the data of this object as a hash
      def to_hash
        @pages.clone
      end
    
    end #^ PageCounter
  end #^ Drossellog
end #^ XhochY