module XhochY
  module Drossellog
    # Counts the number of IP's and how much they've surfed
    class IPCounter
      # The users(IP adresses) which made requests
      attr_reader :users
    
      # Creates a new IPCounter instance
      def initialize
        @users = {}
      end
      
      # Count another user, users are identified by their IP
      def add_user(ip)
      	if @users[ip]
      	  @users[ip] += 1
      	else
      	  @users[ip] = 1
      	end
      end
      
      # Return the data of this object as a hash
      def to_hash
        @users.clone
      end
      
    end #^ IPCounter
  end #^ Drossellog
end #^ XhochY
